ONVIF::Media::Elements::SetVideoSourceMode(3)

NAME
ONVIF::Media::Elements::SetVideoSourceMode

DESCRIPTION
Perl data type class for the XML Schema defined element SetVideoSourceMode from the namespace http://www.onvif.org/ver10/media/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   VideoSourceToken

     $element->set_VideoSourceToken($data);
     $element->get_VideoSourceToken();

•   VideoSourceModeToken

     $element->set_VideoSourceModeToken($data);
     $element->get_VideoSourceModeToken();

METHODS

  new
 my $element = ONVIF::Media::Elements::SetVideoSourceMode->new($data);

Constructor. The following data structure may be passed to new():

 {
   VideoSourceToken => $some_value, # ReferenceToken
   VideoSourceModeToken => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL